### Method

# GLib Uri get_scheme

since: 2.66

#### Declaration

    const gchar*
    g_uri_get_scheme (
      GUri* uri
    )

#### Description

Gets `uri`‘s scheme. Note that this will always be all-lowercase, regardless of the string or strings that `uri` was created from.

Available since: 2.66

#### Return value

Type: `const gchar*`

`uri`‘s scheme.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.